Get a list of discovered apps from the Advisor.

Prev Next
Get
/discovered-apps

Get a list of discovered apps from the Advisor. Requires a license.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means he items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of discovered apps.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (App)

List of discovered apps.

object

Represents a discovered app.

id
string

ID of the app.

Example181ff4c94fdce2a5
host
string

Host of the app.

Exampleservice.company.com
port
integer

Port of the app.

Example443
usersCount
integer

Total user count for the app.

Example1200
lastAccessedAt
string (date-time)

Timestamp of the last time the app was accessed by a user.

status
string

Status of the discovered app.

Valid values[ "NoActionTaken", "ActionTaken" ]
alias
string

The alias of the app if access is configured.

ExampleService
lastModified
string (date-time)

Timestamp of the last time an action is taken on this discovered app.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.